VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ParseVar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa ParseVar
Implements ParseObject
Const fr_name = 0, l_name = 1, age_ = 2, club_ = 3, time_ = 4, tabMAX = 5
Private value As Integer
Private pobj As New ParseObject

Public Sub init(s As String)
  s = LCase(s)
  value = -1
  Select Case s
    Case "frname"
      value = fr_name
    Case "lname"
      value = l_name
    Case "age"
      value = age_
    Case "club"
      value = club_
    Case "time"
      value = time_
  End Select
End Sub

Public Function isLegal() As Boolean
  isLegal = (value >= 0)
End Function

Private Sub ParseObject_addArg(p As ParseObject)

End Sub

Private Function ParseObject_getType() As Integer
  ParseObject_getType = VAR_TYPE
End Function

Private Function ParseObject_getValue() As Integer
  ParseObject_getValue = value
End Function

Property Get FRNAME() As Integer
  FRNAME = fr_name
End Property

Property Get LNAME() As Integer
  LNAME = l_name
End Property

Property Get AGE() As Integer
  AGE = age_
End Property

Property Get CLUB() As Integer
  CLUB = club_
End Property

Property Get TIME() As Integer
  TIME = time_
End Property

Private Sub ParseObject_init()
  'init
End Sub

Private Sub ParseObject_setData(dt As data, ByVal pt As ListBox)

End Sub
